# Uses of Record Class
org.springframework.aot.hint.annotation.RegisterReflectionReflectiveProcessor.ReflectionRegistration

Packages that use RegisterReflectionReflectiveProcessor.ReflectionRegistration
Package
Description
org.springframework.aot.hint.annotation
Annotation support for runtime hints.

## Uses of RegisterReflectionReflectiveProcessor.ReflectionRegistration in org.springframework.aot.hint.annotation

Methods in org.springframework.aot.hint.annotation that return RegisterReflectionReflectiveProcessor.ReflectionRegistration
Modifier and Type
Method
Description
`protected RegisterReflectionReflectiveProcessor.ReflectionRegistration`
RegisterReflectionReflectiveProcessor.`parse(AnnotatedElement element, RegisterReflection annotation)`
Methods in org.springframework.aot.hint.annotation with parameters of type RegisterReflectionReflectiveProcessor.ReflectionRegistration
Modifier and Type
Method
Description
`protected void`
RegisterReflectionReflectiveProcessor.`registerReflectionHints(ReflectionHints hints, RegisterReflectionReflectiveProcessor.ReflectionRegistration registration)`